package com.hai.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * mapper扩展类
 */
public interface HighCouponMapperExt {
    /**
     * 查询月销量
     * @param couponId
     * @return
     */
    @Select({"SELECT count(1) FROM `high_child_order` " +
            " where goods_type = 1 and goods_id = #{couponId} and child_order_status in (2,3,6,7) and DATE_FORMAT(pay_time,'%Y%m') = DATE_FORMAT(CURDATE(),'%Y%m')"})
    int getMonthlySales(@Param("couponId") Long couponId);
}
